Subject: [karp] Fwd: Re: Russ Housley's Discuss on draft-ietf-karp-design-guide-05: (with DISCUSS and COMMENT)

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 08 Oct 2011 22:19:36 -0400

Russ Housley raised a discuss as to whether the design guidelines 
document should address the "common framework" for applying security to 
routing protocols that is called for in our charter.

there are multiple opinions on this.

Russ asked what the WG's opinion is, which seems an appropriate question.

So, folks, comments?

Thank you,
Joel

-------- Original Message --------
Subject: Re: Russ Housley's Discuss on draft-ietf-karp-design-guide-05: 
(with DISCUSS and COMMENT)
Date: Thu, 6 Oct 2011 13:18:05 -0400
From: Russ Housley <[email-masked]>
To: Joel M. Halpern <[email-masked]>
CC: The IESG <[email-masked]>, [email-masked], 
[email-masked]

Joel:

Having worked through the use of the crypto key table for TCP-AO and 
IS-IS, I am quite confident that the approaches that KARP will employ 
are fairly clear.  Sam came to essentially the same place on his OSPF work.

...
Russ

> Thank you Russ.
> I expect the authors will address your comments 1, 2, and 4.
>
> I want to discuss item 3 and your comment a bit.
>
> With regard to item 3, you ask that this document provide a sgtarting point on the common frameworks for applying security to the routing protocols.
> Unfortunately, that would require that we actually know and have agreement on what those common frameworks are.  As we do not have that in hand, and we have chosen not to hold up all KARP related routing protocol security work until we do have such, I am very reluctant to hold this document up while we figure that out.
...
> Yours,
> Joel M. Halpern
>
> On 10/6/2011 9:32 AM, Russ Housley wrote:
>> Russ Housley has entered the following ballot position for
>> draft-ietf-karp-design-guide-05: Discuss
>>
>> When responding, please keep the subject line intact and reply to all
>> email addresses included in the To and CC lines. (Feel free to cut this
>> introductory paragraph, however.)
>>
>> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
>> for more information about IESG DISCUSS and COMMENT positions.
>>
>>
>>
>> ----------------------------------------------------------------------
>> DISCUSS:
>> ----------------------------------------------------------------------
...
>>   3.  The KARP WG charter says:
>>
>>     Routing protocols use a range of transport mechanisms and
>>     communication relationships. There are also differences in
>>     details among the various protocols. The working group will
>>     attempt to describe the security relevant characteristics of
>>     routings protocols, such as the use or non-use of TCP, or the
>>     frequent use of group communication versus purely pairwise
>>     communication. Using these characteristics, the working group
>>     will then provide suitable common frameworks that can be applied,
>>     and tailored, to improve the communication security of the routing
>>     protocols.
>>
>>   This document covers much of this material.  It talks about
>>   "transport mechanisms" and "communications relationships".
>>   It covers part of the material I would expect in a discussion of
>>   "security relevant characteristics of routings protocols".  It
>>   covers the difference in "group" and "pairwise" communications.
>>   It does not come up with "common frameworks".  I suggest that
>>   this document is a very good start at this charter deliverable.
>>
...